이미지 도구 API
이미지 압축, 크기 조정, 변환, 회전, 자르기, 배경 제거, 업스케일, 얼굴 흐리게, 워터마크의 엔드포인트. 모든 엔드포인트는 multipart/form-data를 받고 처리된 이미지를 바이너리 파일로 반환합니다.
이미지 압축
POST
/api/image-compress시각적 품질을 유지하면서 이미지를 압축하여 파일 크기를 줄입니다. JPEG, PNG, WebP 형식을 지원합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 (JPG, PNG, WebP) |
quality | number | Optional | 압축 품질, 10-100. 기본값: 80 |
targetSizeKB | number | Optional | 목표 파일 크기 (KB). 설정하면 quality를 재정의합니다. |
keepMetadata | string | Optional | EXIF 메타데이터를 보존하려면 "true"로 설정 |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/image-compress \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "quality=75" \
-o compressed.jpg이미지 크기 조정
POST
/api/image-resize이미지를 특정 크기 또는 백분율로 크기를 조정합니다. 픽셀 크기와 백분율 스케일링을 지원합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
width | number | Optional | 목표 너비 (픽셀) |
height | number | Optional | 목표 높이 (픽셀) |
percentage | number | Optional | 스케일 백분율 (예: 50은 절반 크기) |
fit | string | Optional | "inside" (종횡비 유지) 또는 "fill" (정확한 크기로 늘리기) |
Response:
Binary filebash
# Resize to specific width (height auto-calculated)
curl -X POST https://freefiletools.io/api/image-resize \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "width=800" \
-o resized.jpg
# Resize by percentage
curl -X POST https://freefiletools.io/api/image-resize \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "percentage=50" \
-o resized.jpg이미지 변환
POST
/api/image-convert이미지를 포맷 간 변환합니다. PNG, JPG, WebP, AVIF를 지원합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
format | string | Required | 대상 포맷: "png", "jpg", "webp" 또는 "avif" |
quality | number | Optional | 출력 품질, 10-100 |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/image-convert \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "format=webp" \
-F "quality=85" \
-o photo.webp이미지 회전
POST
/api/image-rotate이미지를 회전 및/또는 뒤집습니다. 임의의 회전 각도와 수평/수직 뒤집기를 지원합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
angle | number | Required | 회전 각도 (도, 예: 90, 180, 270) |
flipH | string | Optional | 수평 뒤집기를 하려면 "true"로 설정 |
flipV | string | Optional | 수직 뒤집기를 하려면 "true"로 설정 |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/image-rotate \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "angle=90" \
-o rotated.jpg이미지 자르기
POST
/api/image-crop이미지를 특정 직사각형 영역으로 자릅니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
x | number | Required | 자르기 사각형의 왼쪽 오프셋 (픽셀) |
y | number | Required | 자르기 사각형의 상단 오프셋 (픽셀) |
width | number | Required | 자르기 사각형의 너비 (픽셀) |
height | number | Required | 자르기 사각형의 높이 (픽셀) |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/image-crop \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "x=100" \
-F "y=50" \
-F "width=500" \
-F "height=400" \
-o cropped.jpg배경 제거
POST
/api/remove-bg이미지의 배경을 자동으로 제거합니다. 투명 배경의 PNG를 반환합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
Response:
투명 배경의 PNG 이미지bash
curl -X POST https://freefiletools.io/api/remove-bg \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-o no-background.png이미지 업스케일
POST
/api/image-upscaleAI를 사용하여 디테일을 보존하면서 이미지 해상도를 높입니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
scale | number | Optional | 업스케일 배수: 2 또는 4. 기본값: 2 |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/image-upscale \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "scale=4" \
-o upscaled.jpg얼굴 흐리게
POST
/api/blur-face개인정보 보호를 위해 이미지의 모든 얼굴을 자동으로 감지하고 흐리게 합니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/blur-face \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-o blurred.jpg이미지 워터마크
POST
/api/watermark-image이미지에 텍스트 워터마크를 추가합니다. 텍스트와 위치를 사용자 정의할 수 있습니다.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
file | File | Required | 이미지 파일 |
text | string | Required | 워터마크 텍스트 |
position | string | Optional | 위치: "center", "top-left", "top-right", "bottom-left", "bottom-right" |
Response:
Binary filebash
curl -X POST https://freefiletools.io/api/watermark-image \
-H "x-api-key: fft_your_api_key" \
-F "[email protected]" \
-F "text=Copyright 2024" \
-F "position=bottom-right" \
-o watermarked.jpg